Download it now!
Bug 131490 - Libreoffice Writer 6.4.2.2 table content in Chinese upside down
Summary: Libreoffice Writer 6.4.2.2 table content in Chinese upside down
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-03-23 08:47 UTC by taiwuco
Modified: 2020-04-16 10:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (40.50 KB, application/msword)
2020-03-23 09:49 UTC, Xisco Faulí
Details
Comparison MSO 2010 and LibreOffice 7.0 master (129.93 KB, image/png)
2020-03-23 09:54 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description taiwuco 2020-03-23 08:47:21 UTC
Description:
The environment is Ubuntu 18.04. I am running Libreoffice 6.4.2.2.
I open an old Windows Office Doc file. If the Chinese content inside a table it vertically aligned, the content will appear upside down. I use Google doc to render the same file, it renders correctly.

I created a video to describe the issue:
https://drive.google.com/file/d/1FIQHEhzlL5sgXWau01yyZOtBCrc3AV7T/view?usp=sharing
And the file for testing:
https://drive.google.com/file/d/1QZ6qG797WAYn-wnDrZWKdanqqidMCI0S/view?usp=sharing



Steps to Reproduce:
1.open the file
2.review the file

Actual Results:
The table content is upside down

Expected Results:
The table content should be rendered correctly


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
$ glxinfo | grep OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 620 (Kaby Lake GT2) 
OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.2.8
OpenGL core profile shading language version string: 4.50
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 19.2.8
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.2 Mesa 19.2.8
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
OpenGL ES profile extensions:
Comment 1 Xisco Faulí 2020-03-23 09:49:08 UTC
Created attachment 158888 [details]
sample file
Comment 2 Xisco Faulí 2020-03-23 09:54:55 UTC
Created attachment 158889 [details]
Comparison MSO 2010 and LibreOffice 7.0 master
Comment 3 Xisco Faulí 2020-03-23 10:14:53 UTC
Chinese Characters got rotated after

https://cgit.freedesktop.org/libreoffice/core/commit/?id=89e5b431d468745da3a1eff14d48296107b9101b

author	Miklos Vajna <vmiklos@collabora.com>	2019-03-28 21:27:40 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-03-29 09:59:28 +0100
commit	89e5b431d468745da3a1eff14d48296107b9101b (patch)
tree	7c93a3a8dd99c8be45f38b8ffdea846355b591a6
parent	92ce72a4731ad468f5928efd9da7fe66bfdb08ea (diff)
sw btlr writing mode: implement DOC filter

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna
Comment 4 Regina Henschel 2020-03-23 11:10:25 UTC
Might be related to similar problem in shapes and frames
Comment 5 Commit Notification 2020-04-07 07:04:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a8d26a0bb40c101394ded8061d1b58048153631b

tdf#131490 sw btlr: fix handling of vertical text

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-04-08 09:23:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/f570e6618611c2ba239ff686e120d8a4508580c3

tdf#131490 sw btlr: fix handling of vertical text

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 taiwuco 2020-04-08 15:12:50 UTC
Thank you very much for the great works.
Comment 8 Xisco Faulí 2020-04-14 18:51:43 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 35fc5ef0a759884b24ed8b83cd05702a0fab64cc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!